<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/jsp/views/include/taglib_police.jsp" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<!DOCTYPE html>
<html>
<head>
    <title>${fns:getConfig("platform_name")}</title>
    <jsp:include page="../include/assets.jsp"></jsp:include>
    <link href="${pageContext.request.contextPath }/layui/css/layui.css" rel="stylesheet">

    <style>
        /*导航栏按钮位置修正*/
        .navbar-top-links li {
            display: inline-block;
            float: left;
        }
        .page-heading .col-lg-10 h2{
            margin-top: 20px;
            margin-bottom: 10px;
            font-weight: 100;
        }
        .wrapper-content .white-bg {
            padding:25px 30px;
            border-top: 4px solid #e7eaec;
            margin-bottom:20px;
        }
        .tip {
            margin-bottom: 35px;
            padding: 8px;
            line-height: 22px;
            border-left: none;
            border-radius: 0 2px 2px 0;
            background-color: #E6F6FF;
            position: relative;
            border-radius: 5px;
            border: 1px solid #BBE4FF;
            font-size:14px;
            color: #666;
        }
        .tip .refresh {
            position: absolute;
            right:10px;
            top:5px;
            border-radius: 5px;
        }
        .layui-table thead tr {
            background-color: #f2f2f2;
        }
        .layui-table tbody tr:hover {
            background-color: transparent;
        }
        .list li {
            margin-bottom:35px;
        }
        .data {
            color: #3A84EA;
            text-decoration: underline;
        }
        .list li .header {
            overflow: hidden;
        }
        .list li .header h3 {
            float: left;
            font-size: 18px;
            line-height: 40px;
            font-weight: 400;
        }
        .date-select {
            float: right;
            position: relative;
        }
        .date-select .descript {
            float: left;
            width: 80px;
            line-height: 36px;
        }
        .date-select .layui-icon {
            font-size: 22px;
            color: #999999;
            position: absolute;
            right: 7px;
            top: 8px;
        }
        .date-select .layui-input {
            float: left;
            width: 210px;
            padding-right: 25px;
            /*为了使在图标上点击能唤出日期选择面板*/
            position: relative;
            z-index: 1;
            background-color: transparent;
        }

        .countContext:hover{ text-decoration:underline;}

    </style>
</head>

<body>
<div id="wrapper">
    <jsp:include page="../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>审批进度统计</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">统计中心</a>
                    </li>
                    <li class="active">
                        <strong>审批进度统计</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-sm-12">
                    <div class="white-bg">
                        <blockquote class="layui-elem-quote tip">
                            <i class="icon"></i>
                            <p>今日新增许可审批活动：
                                <span class="data"><a class="data countContext" onclick="openApproveSummaryTodayWin()">${result['xksp']}场</a></span>
                                ，新增备案活动：<span class="data"><a class="data countContext" onclick="openActivitySummaryTodayWin()">${result['bb']}场</a></span>
                                ，更新时间：<span class="data">${now}</span></p>
                        </blockquote>
                        <div class="list">
                            <ul>
                                <li>
                                    <div class="header">
                                        <c:choose>
                                            <c:when test="${fns:getConfig('switch_gradeRank') eq 'on'}">
                                                <h3 class="title">等级评定阶段</h3>
                                            </c:when>
                                            <c:otherwise>
                                                <h3 class="title">初审阶段</h3>
                                            </c:otherwise>
                                        </c:choose>
                                    </div>
                                    <table class="layui-table" lay-skin="line" lay-size="lg">

                                        <c:choose>
                                            <c:when test="${fns:getConfig('switch_gradeRank') eq 'on'}">
                                                <thead>
                                                    <tr>
                                                        <th></th>
                                                        <th>评定中</th>
                                                        <th>已评定</th>
                                                        <th>总计</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>活动场次</td>
                                                        <td><a class="countContext" onclick="openApproveWin('10')">${result['csz']}</a></td>
                                                        <td><a class="countContext" onclick="openApproveWin('30')">${result['cstg']}</a></td>
                                                        <td><a class="countContext" onclick="openApproveSummaryWin('cs')">${result['csjdzj']}</a></td>
                                                    </tr>
                                                </tbody>
                                            </c:when>
                                            <c:otherwise>
                                                <thead>
                                                    <tr>
                                                        <th></th>
                                                        <th>初审中</th>
                                                        <th>初审退回</th>
                                                        <th>初审通过</th>
                                                        <th>总计</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>活动场次</td>
                                                        <td><a class="countContext" onclick="openApproveWin('10')">${result['csz']}</a></td>
                                                        <td><a class="countContext" onclick="openApproveWin('20')">${result['csxg']}</a></td>
                                                        <td><a class="countContext" onclick="openApproveWin('30')">${result['cstg']}</a></td>
                                                        <td><a class="countContext" onclick="openApproveSummaryWin('cs')">${result['csjdzj']}</a></td>
                                                    </tr>
                                                </tbody>
                                            </c:otherwise>
                                        </c:choose>

                                    </table>
                                </li>
                                <li>
                                    <div class="header">
                                        <h3 class="title">受理阶段</h3>
                                    </div>
                                    <table class="layui-table" lay-even lay-skin="line" lay-size="lg">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>受理中</th>
                                            <th>不予受理</th>
                                            <th>受理成功</th>
                                            <th>总计</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>活动场次</td>
                                            <td><a class="countContext" onclick="openApproveWin('SL10')">${result['slz']}</a></td>
                                            <td><a class="countContext" onclick="openApproveWin('SL20')">${result['bsl']}</a></td>
                                            <td><a class="countContext" onclick="openApproveWin('SL30')">${result['ysl']}</a></td>
                                            <td><a class="countContext" onclick="openApproveSummaryWin('sl')">${result['sljdzj']}</a></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </li>
                                <li>
                                    <div class="header">
                                        <h3 class="title">许可审批阶段</h3>
                                    </div>
                                    <table class="layui-table" lay-even lay-skin="line" lay-size="lg">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>未审批</th>
                                            <th>审批中</th>
                                            <th>审批退回</th>
                                            <th>总计</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>活动场次</td>
                                            <td><a class="countContext" onclick="openApproveWin('NONE')">${result['wsp']}</a></td>
                                            <td><a class="countContext" onclick="openApproveWin('IN')">${result['spz']}</a></td>
                                            <td><a class="countContext" onclick="openApproveWin('REJECT')">${result['spth']}</a></td>
                                            <td><a class="countContext" onclick="openApproveSummaryWin('sp')">${result['xkspjdzj']}</a></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </li>
                                <li>
                                    <div class="header">
                                        <h3 class="title">许可审批结果</h3>
                                        <div class="date-select">
                                            <span class="descript">审批日期：</span>
                                            <input type="text" class="layui-input" id="date-select">
                                            <i class="layui-icon layui-icon-date"></i>
                                        </div>
                                    </div>
                                    <table class="layui-table" lay-even lay-skin="line" lay-size="lg">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>许可</th>
                                            <th>不予许可</th>
                                            <th>总计</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>活动场次</td>
                                            <td id="xktd"><a class="countContext" onclick="openApproveWin('YES')">${result['xk']}</a></td>
                                            <td id="bxktd"><a class="countContext" onclick="openApproveWin('NO')">${result['bxk']}</a></td>
                                            <td id="xkspjgzjtd"><a class="countContext" onclick="openApproveSummaryWin('spjg')">${result['xkspjgzj']}</a></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jsp:include page="../include/footer.jsp"></jsp:include>
    </div>
</div>
<jsp:include page="../include/scripts.jsp"></jsp:include>
<script src="${pageContext.request.contextPath }/layui/layui.js"></script>

<script type="text/javascript">

    /**
     * 弹出活动许可列表
     * @param approveStatus 审批状态
     */
    function openApproveWin(approveStatus){
        var dateRange = $("#date-select").val();
        var url = '${pageContext.request.contextPath }' + '/business/approve/list?hiddenLeft=1&approveStatus=' +approveStatus + '&dateRange='+ dateRange +'&dataSource=biz';
        layer.open({
            type: 2,
            title: '活动列表',
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['90%','80%'],
            content: url
        });
    }

    /**
     * 弹出活动许可列表
     * @param approveStatusSummary 审批状态
     */
    function openApproveSummaryWin(approveStatusSummary){
        var dateRange = $("#date-select").val();
        var url = '${pageContext.request.contextPath }' + '/business/approve/list?hiddenLeft=1&approveStatusSummary=' +approveStatusSummary + '&dateRange='+ dateRange +'&dataSource=biz';
        layer.open({
            type: 2,
            title: '活动列表',
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['90%','80%'],
            content: url
        });
    }


    /**
     * 弹出活动许可列表
     */
    function openApproveSummaryTodayWin(){
        var curDate = new Date();
        var nextDate = new Date(curDate.getTime() + 24*60*60*1000);

        var dateRange = formatDate(curDate) + " - " + formatDate(nextDate);
        var url = '${pageContext.request.contextPath }' + '/business/approve/list?hiddenLeft=1&dateRange='+ dateRange +'&dataSource=biz';
        layer.open({
            type: 2,
            title: '活动列表',
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['90%','80%'],
            content: url
        });
    }

    /**
     * 弹出备案许可列表
     */
    function openActivitySummaryTodayWin(){
        var curDate = new Date();
        var nextDate = new Date(curDate.getTime() + 24*60*60*1000);

        var dateRange = formatDate(curDate) + " - " + formatDate(nextDate);
        var url = '${pageContext.request.contextPath }' + '/business/approve/list?hiddenLeft=1&dateRange='+ dateRange +'&dataSource=gov';
        layer.open({
            type: 2,
            title: '活动列表',
            shadeClose: false,
            scrollbar: false,
            shade: [0.8, '#393D49'],
            area: ['90%','80%'],
            content: url
        });
    }

    function formatDate(time){
        var date = new Date(time);
        var format = 'YY-MM-DD';

        var year = date.getFullYear(),
            month = date.getMonth()+1,//月份是从0开始的
            day = date.getDate();
        var preArr = Array.apply(null,Array(10)).map(function(elem, index) {
            return '0'+index;
        });////开个长度为10的数组 格式为 00 01 02 03

        var newTime = format.replace(/YY/g,year)
            .replace(/MM/g,preArr[month]||month)
            .replace(/DD/g,preArr[day]||day);

        return newTime;
    }

    /**
     * 日期时间控件，后台若需要拿到选择后的时间，在done函数里面进行操作
     */
    layui.use('laydate', function(){
        var laydate = layui.laydate;
        //执行一个laydate实例
        laydate.render({
            elem: '#date-select', //指定元素
            range: true,
            done: function(value, date, endDate){
                $("#date-select").val(value);
                /* 直接请求查询 */
                $.ajax({
                    url: "${pageContext.request.contextPath }" + "/business/summary/approvalProcess/spjg",
                    type: 'post',
                    data:{"date":value},
                    dataType: 'json',
                    success: function (data) {
                        var appendxkStr = "<a class='countContext' onclick='openApproveWin(\"YES\")'>" + data.obj.xk + "</a>";
                        var appendbxkStr = "<a class='countContext' onclick='openApproveWin(\"NO\")'>" + data.obj.bxk + "</a>";
                        var appendspjgStr = "<a class='countContext' onclick='openApproveSummaryWin(\"spjg\")'>" + data.obj.xkspjgzj + "</a>";
                        $("#xktd").html(appendxkStr);
                        $("#bxktd").html(appendbxkStr);
                        $("#xkspjgzjtd").html(appendspjgStr);
                    }
                });
            }
        });
    });

</script>
</body>
</html>